summaryrefslogtreecommitdiff
path: root/nightly/buildwindows.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2011-03-29 16:22:12 +0300
committerAndrei Karas <akaras@inbox.ru>2011-03-29 17:18:48 +0300
commit0cd441867adedc5add8b65a42d0f156e906ab25e (patch)
treedd133bd5396f74c5ece8b1b92b6c60747400379e /nightly/buildwindows.sh
parentc36fbf56e9adc9de97e96acab753ddbb939c0b8b (diff)
downloadplus-0cd441867adedc5add8b65a42d0f156e906ab25e.tar.gz
plus-0cd441867adedc5add8b65a42d0f156e906ab25e.tar.bz2
plus-0cd441867adedc5add8b65a42d0f156e906ab25e.tar.xz
plus-0cd441867adedc5add8b65a42d0f156e906ab25e.zip
Add fixes for localisation dir in linux portable build and error detection.
Diffstat (limited to 'nightly/buildwindows.sh')
-rwxr-xr-xnightly/buildwindows.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/nightly/buildwindows.sh b/nightly/buildwindows.sh
index ede9f0f04..286471d4c 100755
--- a/nightly/buildwindows.sh
+++ b/nightly/buildwindows.sh
@@ -5,11 +5,24 @@ dir=`pwd`
cd ..
export PATH=/usr/i586-mingw32msvc/bin:$PATH
CXXFLAGS="-Wall -g0 -O2" cmake -DCMAKE_TOOLCHAIN_FILE=./toolchain.nightly .
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
make -j5 2>make.log
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
cd ./packaging/windows
./make-translations.sh
+result=$?
+if [ "$result" != 0 ]; then
+ exit $result
+fi
+
makensis -DDLLDIR=$dir/../packaging/windows/libs/dll/ \
-DPRODUCT_VERSION="nightly-$1" \
-DEXESUFFIX=/src \